/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.vew.engvew.engstelle;

import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * Enthlt die Ergebniss der Engpaprfung
 * 
 * @author Dambach Werke
 * @version $Revision: 1.1 $ / $Date: 2008/10/31 13:14:01 $ / ($Author: Sans $)
 */
public class ErgebnisEngpassPruefung 
{
  /**
   *  Erzeugt eine neue Instanz vom Typ <code>ErgebnisEngpassPruefung</code>
   *  
   * @param mq der Messquerschnitt, der fr die Prfung benutzt wurde
   * @param vs die ermittelte Verkehrsstrke in Fz/h am Messquerschnitt
   * @param rk die Restkapazitt in Fz/h der geprften Engestelle
   */
  public ErgebnisEngpassPruefung(SystemObject mq, long vs, long rk)
  {
    this.mq = mq;
    this.vs = vs;
    this.rk = rk;
  }

  /**
   * Der Messquerschnitt, der fr die Prfung benutzt wurde
   */
  public final SystemObject mq;
  
  /**
   * Die ermittelte Verkehrsstrke in Fz/h am Messquerschnitt 
   */
  public final long vs;
  
  /**
   * Die Restkapazitt in Fz/h der geprften Engestelle
   */
  public final long rk;
  
}
